package com.yiqi.common.enums;


public enum ClothAppointmentStatus implements CodeEnum{

    /** 预约状态（1=待接单，2=待上门，3=已取物，4=待配送，5=配送中，9=已完成，100=已取消） */

    APPOINTMENT("1", "预约待取")
    , WAITING_TO_DOOR("2","待上门")
    , HAS_TAKING("3", "已取货")
    , WAITING_TO_SEND("4","待配送")
    , SENDING("5", "配送中")
    , FINISH("9", "已完成")
    , CANCEL("100", "已取消");

    private final String code;
    private final String info;

    ClothAppointmentStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}